global:
  scrape_interval: 15s
  evaluation_interval: 30s
  # scrape_timeout is set to the global default (10s).

rule_files:
  - rules/*.yml

scrape_configs:
  - job_name: "node"
    static_configs:
      - targets:
{% for host in groups['node'] %}
          - "{{ host }}:9100"
{% endfor %}
  - job_name: "blackbox"
    metrics_path: "/probe"
    params:
      module: [http_2xx]
    static_configs:
      - targets:
{% for target in prometheus_probe_targets %}
          - "{{ target }}"
{% endfor %}
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: "127.0.0.1:9115"
alerting:
  alertmanagers:
    - static_configs:
        - targets:
            - "127.0.0.1:9093"
